version: '3'
services:
  mysql-docker-container:
    image: 'mysql:5.6'
    environment:
      - MYSQL_ROOT_PASSWORD=password
      - MYSQL_DATABASE=carbuyer
      - MYSQL_USER=sa
      - MYSQL_PASSWORD=password
    volumes:
      - /data/mysql
    container_name: mysql-docker-container

  spring-boot-carbuyer:
    image: spring-boot-carbuyer-image
    build:
      context: ./carbuyer-springboot
      dockerfile: Dockerfile
    volumes:
      - /data/spring-boot-carbuyer
    container_name: spring-boot-carbuyer
    depends_on:
      - mysql-docker-container
    restart: always
  
  angular-carbuyer:
    image: carbuyer-angular
    build:
      context: ./client
      dockerfile: Dockerfile
    ports:
      - '8085:80'
    volumes: 
      - /data/angular-carbuyer
    container_name:
      angular-carbuyer
    depends_on:
      - spring-boot-carbuyer
    

